Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002012TestLinkReportspublic2009-01-23 00:462009-02-06 06:49
Reporterjohnzan 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 3 
Fixed in Version1.8 RC 4 
Summary0002012: Query Metrics report crashes
Descriptionwhen I click on the link to the 'Query Metrics' link in the 'Reports and Metrics' section an error is displayed.
Link from within the app:
--8<--start link -----

http://cactus/testlink_1.8_rc3/lib/results/resultsMoreBuilds.php?format=0&tplan_id=4 [^]

--8<--end link -----

The error that is reported is:

Fatal error: Unsupported operand types in /opt/lampp/htdocs/testlink_1.8_rc3/lib/results/resultsMoreBuilds.php on line 107


Additional InformationBrowsers:
Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.0.5) Gecko/2008120121 Firefox/3.0.5
Safari : Version 3.2.1 (5525.27.1)

[root@cactus bin]# ./php -v
PHP 5.2.5 (cli) (built: Jan 23 2008 14:13:03)
Copyright (c) 1997-2007 The PHP Group
Zend Engine v2.2.0, Copyright (c) 1998-2007 Zend Technologies

TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
has duplicate 0002034closedschlundus Report "Query Metrics" is not working 

-  Notes
(0005096)
johnzan (reporter)
2009-01-23 00:53

Hi,

I took a look at the resultsMoreBuilds.php file and seen that online 107

$gui->keywords->items += $tplan_mgr->get_keywords_map($gui->tplan_id);

it's looking for keywords.

I created a keyword and assigned it to all the test cases and the crash no longer occurs.

HTH,
Cheers,
J

- Issue History
Date Modified Username Field Change
2009-01-23 00:46 johnzan New Issue
2009-01-23 00:53 johnzan Note Added: 0005096
2009-01-23 04:48 fman Status new => assigned
2009-01-23 04:48 fman Assigned To => fman
2009-01-24 02:45 fman Status assigned => resolved
2009-01-24 02:45 fman Fixed in Version => next DEV - 1.8 RC 4
2009-01-24 02:45 fman Resolution open => fixed
2009-01-30 05:07 schlundus Relationship added has duplicate 0002034
2009-02-06 06:49 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker